Subject: self-learning fortran

From: Wai-To Chan <[email-masked]>
Date: Thu, 1 Feb 2001 21:40:36 -0500 (EST)

<<<<<<<<<<<<<<<<
Hello all,

While ccl is discussing about programming languages, I would like to get
more information on self-learning fortran.
Please recommend 1. web tutorials; 2. good easy-to-follow books; or any
other resources.

Thanks in advance,

Lakshmi
>>>>>>>>>>>>>>>>>>>>>>>>>.

      If you don't anticipate having to work on existing fortran code I 
will recommend the FORTRAN 9X text book I use 

FORTRAN 90/95 for scientists and Engineers 
1998
Stephen J. Chapman 
WCB/McGraw-Hill 

  Fortran 9x has the kind of features in C such 
as pointers that would enable implementation 
of data structures and dynamic memory allocation.  
My current programming project is to upgrade a 
chemical kinetics program from fortran 77 to 9X. 
I am hoping the new code would enable me to 
make the program more compact and easy to modify. 
Old fortran tends to be very clumsy.

   The book is quite long (874 pages) not because of the 
size of Fortran 9x which is not a big language.
Much of the book is just filled with examples and 
I found it generally easy to follow.

I have access to Fortran 9x compiler on numerous workstations including
SUN, SGI and AIX machines so I presume the new Fortran has been 
gaining acceptance. But do check out whether it is installed 
in your site first.

Wai-To Chan